% β1の算出
function beta1 = beta1(n,fc)

beta1 = zeros(n,1);  % コンクリートストレスブロック（等価応力度ブロック）幅の圧縮ゾーンの大きさに対する比[-]

for i = 1:n
    if fc(i) <= 28  % 単位：[N/mm2]
        beta1(i) = 0.85;
    elseif fc(i) > 56
        beta1(i) = 0.65;
    else
        beta1(i) = 0.85-0.05*(fc(i)-28)/7;
    end
end

return