% 梁及び柱の主筋間距離比gb,gc
function [d_top,d_btm,g] = g(n_top1,n_top2,d_top1,d_top2,n_btm1,n_btm2,d_btm1,d_btm2,D)

d_top = (n_top1.*d_top1+n_top2.*(d_top1+d_top2))./(n_top1+n_top2);  % 梁または柱上端から上段筋までの重心位置[mm]，重み付き平均をする
d_btm = (n_btm1.*d_btm1+n_btm2.*(d_btm1+d_btm2))./(n_btm1+n_btm2);  % 梁または柱下端から下段筋までの重心位置[mm]，重み付き平均をする
g = (D-d_top-d_btm)./D;                                             % 梁または柱の主筋間距離比[-]

return