%接合部DBからのデータの変換
function [pi,di]=jointDB2csec(b,D,a,...
    n_top1,n_top2,n_btm1,n_btm2,n_m,...
    d_top1,d_top2,d_btm1,d_btm2)

bD=b*D;
j=1;
pi(j)=n_top1*a/bD;
di(j)=d_top1;
if n_top2~=0
    j=j+1;
    pi(j)=n_top2*a/bD;
    di(j)=d_top1+d_top2;
end
if n_m~=0
    j=j+1;
    pi(j)=n_m*a/bD;
    di(j)=0.5*D;
end
if n_btm2~=0
    j=j+1;
    pi(j)=n_btm2*a/bD;
    di(j)=D-d_btm1-d_btm2;
end
j=j+1;
pi(j)=n_btm1*a/bD;
di(j)=D-d_btm1;

return